Subject: bug#4513: [Aquamacs-devel] Where are the menu sub-items in Aquamacs version 2.

From: CHENG Gao <[email-masked]>
Date: Wed, 23 Sep 2009 14:30:04 +0800

*On Tue, 22 Sep 2009 19:05:44 -0400
* Also sprach David Reitter <[email-masked]>:

> On Sep 22, 2009, at 6:35 PM, Adrian Robert wrote:
>>> So let's split this issue from 4513, which is about the mangle
>>> applications menu when compiling on 10.6
>>
>> Or absent File menu you mean.  It seems strange that only File and
>> not all others are affected...
>
> I think it just grabs the first menu available and sticks it into the
> application menu.  Hence "mangled".  Attaching screenshot to
> illustrate.

As I know it's 10.6 SDK specific problem. The first menu is treated
magically. I saw some workarounds to overcome this  in cocoa-dev mailing
list. I found it[1] via googling.

Footnotes: 
[1]  http://osdir.com/ml/cocoa-dev/2009-09/msg00347.html